Bug 186696 - [patch] devel/git: fix iconv detection + staging
[patch] devel/git: fix iconv detection + staging
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-12 17:00 UTC by Tijl Coosemans
Modified: 2014-03-06 18:30 UTC (History)
0 users

See Also:


Attachments
git.patch (15.81 KB, patch)
2014-02-12 17:00 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2014-02-12 17:00:00 UTC
- Staging.
- USES=gmake.
- Set CPPFLAGS instead of CFLAGS to fix some warnings about missing
  headers during configure.
- Remove prefix from MAKE_ARGS.  It is set correctly by configure in
  config.mak.autogen.
- Replace some MAKE_ENV with MAKE_ARGS to make sure the options are
  always disabled even when configure detects them.
- ICONV option: let configure autodetect iconv.  NEEDS_LIBICONV isn't
  valid on FreeBSD 10 for instance.

Redports: https://redports.org/buildarchive/20140212160900-57988/
Comment 1 Edwin Groothuis freebsd_committer 2014-02-12 17:00:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Tijl Coosemans freebsd_committer 2014-02-27 16:42:17 UTC
Hi Wesley,

Two weeks have passed.  Can you please review/approve this patch?
Comment 3 dfilter freebsd_committer 2014-03-06 18:21:03 UTC
Author: wxs
Date: Thu Mar  6 18:20:53 2014
New Revision: 347294
URL: http://svnweb.freebsd.org/changeset/ports/347294
QAT: https://qat.redports.org/buildarchive/r347294/

Log:
  Update to 1.9.0. [1]
  Support staging and general cleanup.
  
  PR:		[2]: ports/186696
  Submitted by:	[1]: Dan McGregor (private mail)
  		[2]: tijl@

Deleted:
  head/devel/git/files/patch-wrapper.c
Modified:
  head/devel/git/Makefile
  head/devel/git/distinfo
  head/devel/git/files/patch-Documentation__Makefile
  head/devel/git/files/patch-Makefile
  head/devel/git/pkg-plist

Modified: head/devel/git/Makefile
==============================================================================
--- head/devel/git/Makefile	Thu Mar  6 18:18:15 2014	(r347293)
+++ head/devel/git/Makefile	Thu Mar  6 18:20:53 2014	(r347294)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	git
-PORTVERSION=	1.8.5.4
-PORTREVISION=	1
+PORTVERSION=	1.9.0
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX} \
@@ -17,169 +16,6 @@ COMMENT?=	Distributed source code manage
 
 PROJECTHOST=	git-core
 
-MAN1=		git.1 \
-		git-add.1 \
-		git-am.1 \
-		git-annotate.1 \
-		git-apply.1 \
-		git-archimport.1 \
-		git-archive.1 \
-		git-bisect.1 \
-		git-blame.1 \
-		git-branch.1 \
-		git-bundle.1 \
-		git-cat-file.1 \
-		git-check-attr.1 \
-		git-check-ignore.1 \
-		git-check-mailmap.1 \
-		git-check-ref-format.1 \
-		git-checkout-index.1 \
-		git-checkout.1 \
-		git-cherry-pick.1 \
-		git-cherry.1 \
-		git-clean.1 \
-		git-clone.1 \
-		git-column.1 \
-		git-commit-tree.1 \
-		git-commit.1 \
-		git-config.1 \
-		git-count-objects.1 \
-		git-credential.1 \
-		git-credential-cache--daemon.1 \
-		git-credential-cache.1 \
-		git-credential-store.1 \
-		git-daemon.1 \
-		git-describe.1 \
-		git-diff-files.1 \
-		git-diff-index.1 \
-		git-difftool.1 \
-		git-diff-tree.1 \
-		git-diff.1 \
-		git-fast-export.1 \
-		git-fast-import.1 \
-		git-fetch-pack.1 \
-		git-fetch.1 \
-		git-filter-branch.1 \
-		git-fmt-merge-msg.1 \
-		git-for-each-ref.1 \
-		git-format-patch.1 \
-		git-fsck-objects.1 \
-		git-fsck.1 \
-		git-gc.1 \
-		git-get-tar-commit-id.1 \
-		git-grep.1 \
-		git-hash-object.1 \
-		git-help.1 \
-		git-http-backend.1 \
-		git-http-fetch.1 \
-		git-http-push.1 \
-		git-imap-send.1 \
-		git-index-pack.1 \
-		git-init-db.1 \
-		git-init.1 \
-		git-instaweb.1 \
-		git-log.1 \
-		git-lost-found.1 \
-		git-ls-files.1 \
-		git-ls-remote.1 \
-		git-ls-tree.1 \
-		git-mailinfo.1 \
-		git-mailsplit.1 \
-		git-merge-base.1 \
-		git-merge-file.1 \
-		git-merge-index.1 \
-		git-merge-one-file.1 \
-		git-mergetool.1 \
-		git-merge-tree.1 \
-		git-merge.1 \
-		git-mergetool--lib.1 \
-		git-mktag.1 \
-		git-mktree.1 \
-		git-mv.1 \
-		git-name-rev.1 \
-		git-notes.1 \
-		git-p4.1 \
-		git-pack-objects.1 \
-		git-pack-redundant.1 \
-		git-pack-refs.1 \
-		git-parse-remote.1 \
-		git-patch-id.1 \
-		git-peek-remote.1 \
-		git-prune-packed.1 \
-		git-prune.1 \
-		git-pull.1 \
-		git-push.1 \
-		git-quiltimport.1 \
-		git-read-tree.1 \
-		git-rebase.1 \
-		git-receive-pack.1 \
-		git-reflog.1 \
-		git-relink.1 \
-		git-remote-ext.1 \
-		git-remote-fd.1 \
-		git-remote-testgit.1 \
-		git-remote.1 \
-		git-repack.1 \
-		git-replace.1 \
-		git-repo-config.1 \
-		git-request-pull.1 \
-		git-rerere.1 \
-		git-reset.1 \
-		git-rev-list.1 \
-		git-rev-parse.1 \
-		git-revert.1 \
-		git-rm.1 \
-		git-send-email.1 \
-		git-send-pack.1 \
-		git-sh-setup.1 \
-		git-sh-i18n.1 \
-		git-sh-i18n--envsubst.1 \
-		git-shell.1 \
-		git-shortlog.1 \
-		git-show-branch.1 \
-		git-show-index.1 \
-		git-show-ref.1 \
-		git-show.1 \
-		git-stage.1 \
-		git-stash.1 \
-		git-status.1 \
-		git-stripspace.1 \
-		git-submodule.1 \
-		git-symbolic-ref.1 \
-		git-tag.1 \
-		git-tar-tree.1 \
-		git-unpack-file.1 \
-		git-unpack-objects.1 \
-		git-update-index.1 \
-		git-update-ref.1 \
-		git-update-server-info.1 \
-		git-upload-archive.1 \
-		git-upload-pack.1 \
-		git-var.1 \
-		git-verify-pack.1 \
-		git-verify-tag.1 \
-		git-web--browse.1 \
-		git-whatchanged.1 \
-		git-write-tree.1 \
-		gitremote-helpers.1 \
-		gitweb.1
-MAN5=		gitattributes.5 \
-		githooks.5 \
-		gitignore.5 \
-		gitmodules.5 \
-		gitrepository-layout.5 \
-		gitweb.conf.5
-MAN7=		gitcli.7 \
-		gitcredentials.7 \
-		gitglossary.7 \
-		gittutorial.7 \
-		gitcore-tutorial.7 \
-		gitdiffcore.7 \
-		gittutorial-2.7 \
-		gitworkflows.7 \
-		gitrevisions.7 \
-		gitnamespaces.7
-
 CONFLICTS?=	git-subversion-[0-9]*
 
 USERS=	git_daemon
@@ -189,11 +25,10 @@ SUB_FILES=	pkg-message
 PKGMESSAGE=	${WRKDIR}/pkg-message
 
 GNU_CONFIGURE=	yes
-USES=		gmake
-CFLAGS+=	-I${LOCALBASE}/include
+USES=		gmake shebangfix
+CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 MAKE_ENV+=	V=1
-MAKE_ARGS+=	prefix="${PREFIX}"
 USE_OPENSSL=	yes
 USE_RC_SUBR=	git_daemon
 
@@ -210,7 +45,6 @@ CVS_DESC=	Enable CVS support
 HTMLDOCS_DESC=	Install additional documentation
 ETCSHELLS_DESC=	Modify /etc/shells
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MNLS}
@@ -241,27 +75,16 @@ MAKE_ENV+=	PERL_PATH=${PERL}
 BUILD_DEPENDS+=	p5-Error>=0:${PORTSDIR}/lang/p5-Error
 RUN_DEPENDS+=	p5-Error>=0:${PORTSDIR}/lang/p5-Error \
 		p5-Net-SMTP-SSL>=0:${PORTSDIR}/mail/p5-Net-SMTP-SSL
-MAN3=		Git.3 \
-		Git::I18N.3 \
-		Git::SVN::Editor.3 \
-		Git::SVN::Fetcher.3 \
-		Git::SVN::Memoize::YAML.3 \
-		Git::SVN::Prompt.3 \
-		Git::SVN::Ra.3 \
-		Git::SVN::Utils.3
 PLIST_SUB+=	PERLSUB=""
 .else
-MAKE_ENV+=	NO_PERL=1
+MAKE_ARGS+=	NO_PERL=1
 PLIST_SUB+=	PERLSUB="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MICONV}
 USES+=		iconv
-MAKE_ENV+=	NEEDS_LIBICONV=yes \
-		ICONVDIR=${ICONV_PREFIX}
-CONFIGURE_ARGS+=	--with-iconv=${ICONV_PREFIX}
 .else
-MAKE_ENV+=	NO_ICONV=1
+MAKE_ARGS+=	NO_ICONV=1
 .endif
 
 .if ${PORT_OPTIONS:MCURL}
@@ -271,7 +94,7 @@ RUN_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 LIB_DEPENDS+=	libexpat.so:${PORTSDIR}/textproc/expat2
 PLIST_SUB+=	CURL=""
 .else
-MAKE_ENV+=	NO_CURL=1 \
+MAKE_ARGS+=	NO_CURL=1 \
 		NO_EXPAT=1
 PLIST_SUB+=	CURL="@comment "
 .endif
@@ -287,9 +110,6 @@ PLIST_SUB+=	HTMLDOCS="@comment "
 
 .if ${PORT_OPTIONS:MGUI}
 USES+=		tk
-MAN1+=		git-citool.1 \
-		git-gui.1 \
-		gitk.1
 PLIST_SUB+=	GUI=""
 MAKE_ARGS+=	TCL_PATH=${TCLSH} TCLTK_PATH=${WISH}
 .else
@@ -309,7 +129,6 @@ MAKE_ARGS+=	NO_TCLTK=yes
 RUN_DEPENDS+=	p5-Term-ReadKey>=0:${PORTSDIR}/devel/p5-Term-ReadKey \
 		p5-subversion>=0:${PORTSDIR}/devel/p5-subversion
 PLIST_SUB+=	SVN=""
-MAN1+=		git-svn.1
 .else
 PLIST_SUB+=	SVN="@comment "
 RMMAN1+=	git-svn.1
@@ -330,7 +149,6 @@ PLIST_SUB+=	CONTRIB=""
 BUILD_DEPENDS+=	xmlto:${PORTSDIR}/textproc/xmlto \
 		asciidoc:${PORTSDIR}/textproc/asciidoc \
 		${LOCALBASE}/share/xml/docbook/4.5:${PORTSDIR}/textproc/docbook-xml
-MAN1+=		git-subtree.1
 .else
 PLIST_SUB+=	CONTRIB="@comment "
 .endif
@@ -342,18 +160,17 @@ PLIST_SUB+=	P4="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MCVS}
-MAN1+=		git-cvsimport.1 git-cvsexportcommit.1 git-cvsserver.1
-MAN7+=		gitcvs-migration.7
 PLIST_SUB+=	CVS=""
 RUN_DEPENDS+=	cvsps:${PORTSDIR}/devel/cvsps
 .else
 PLIST_SUB+=	CVS="@comment "
-RMMAN1+=	git-cvsimport.1 git-cvsexportcommit.1 git-cvsserver.1
+RMMAN1+=	git-cvsimport.1 \
+		git-cvsexportcommit.1 \
+		git-cvsserver.1
 RMMAN7+=	gitcvs-migration.7
 .endif
 
 .if ${PORT_OPTIONS:METCSHELLS}
-SHELLS=		/etc/shells
 PLIST_SUB+=	ETCSHELLS=""
 .else
 PLIST_SUB+=	ETCSHELLS="@comment "
@@ -397,58 +214,43 @@ post-patch:
 
 post-build:
 .if ${PORT_OPTIONS:MP4} || ${PORT_OPTIONS:MCONTRIB}
-	@${REINPLACE_CMD} -e '1s|#!/usr/bin/python|#!${PYTHON_CMD}|' \
-		${WRKSRC}/contrib/p4import/git-p4import.py
-	@${CP} ${WRKSRC}/contrib/p4import/git-p4import.py \
-		${WRKSRC}/contrib/p4import/git-p4import
 	@${FIND} ${WRKSRC} -name "*.bak" -delete
 .endif
 
 post-install:
-	(cd ${WRKDIR}/man1/ && ${COPYTREE_SHARE} \* ${MANPREFIX}/man/man1)
-	(cd ${WRKDIR}/man5/ && ${COPYTREE_SHARE} \* ${MANPREFIX}/man/man5)
-	(cd ${WRKDIR}/man7/ && ${COPYTREE_SHARE} \* ${MANPREFIX}/man/man7)
+	(cd ${WRKDIR}/man1/ && ${COPYTREE_SHARE} . ${STAGEDIR}${MANPREFIX}/man/man1)
+	(cd ${WRKDIR}/man5/ && ${COPYTREE_SHARE} . ${STAGEDIR}${MANPREFIX}/man/man5)
+	(cd ${WRKDIR}/man7/ && ${COPYTREE_SHARE} . ${STAGEDIR}${MANPREFIX}/man/man7)
 .if ${PORT_OPTIONS:MHTMLDOCS}
 	# Manually remove the index.html symlink before installing, and then
 	# recreate it after. This is necessary because the distfile is
 	# extracted with --no-same-owner. If the distfile is extracted as a
 	# non-root user then the symlink will have the incorrect owner.
 	${RM} -f ${WRKDIR}/htmldocs/index.html
-	${MKDIR} ${DOCSDIR}
-	(cd ${WRKDIR}/htmldocs/ && ${COPYTREE_SHARE} \* ${DOCSDIR})
-	${LN} -s ${DOCSDIR}/git.html ${DOCSDIR}/index.html
-.endif
-	-${RM} -f ${PREFIX}/lib/perl5/${PERL_VER}/mach/perllocal.pod
-	${MKDIR} ${PREFIX}/share/emacs/site-lisp/git
-	${MKDIR} ${PREFIX}/lib/xemacs/site-lisp/git
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKDIR}/htmldocs/ && ${COPYTREE_SHARE} . ${STAGEDIR}${DOCSDIR})
+	${LN} -s git.html ${STAGEDIR}${DOCSDIR}/index.html
+.endif
+	-${RM} -f ${STAGEDIR}${PREFIX}/lib/perl5/${PERL_VER}/mach/perllocal.pod
+	${MKDIR} ${STAGEDIR}${PREFIX}/share/emacs/site-lisp/git
+	${MKDIR} ${STAGEDIR}${PREFIX}/lib/xemacs/site-lisp/git
 	${INSTALL_DATA} ${WRKSRC}/contrib/emacs/git.el \
-		${PREFIX}/share/emacs/site-lisp/git/
+		${STAGEDIR}${PREFIX}/share/emacs/site-lisp/git/
 	${INSTALL_DATA} ${WRKSRC}/contrib/emacs/git-blame.el \
-		${PREFIX}/share/emacs/site-lisp/git/
+		${STAGEDIR}${PREFIX}/share/emacs/site-lisp/git/
 	${LN} -sf ${PREFIX}/share/emacs/site-lisp/git/git.el    \
-		${PREFIX}/lib/xemacs/site-lisp/git/git.el
+		${STAGEDIR}${PREFIX}/lib/xemacs/site-lisp/git/git.el
 	${LN} -sf ${PREFIX}/share/emacs/site-lisp/git/git-blame.el \
-		${PREFIX}/lib/xemacs/site-lisp/git/git-blame.el
+		${STAGEDIR}${PREFIX}/lib/xemacs/site-lisp/git/git-blame.el
 .if ${PORT_OPTIONS:MCONTRIB}
 	@${ECHO_MSG} "===> Installing contributed scripts"
-	${MKDIR} ${PREFIX}/share/git-core/contrib
-	${CP} -R ${WRKSRC}/contrib/* ${PREFIX}/share/git-core/contrib
+	${MKDIR} ${STAGEDIR}${PREFIX}/share/git-core/contrib
+	${CP} -R ${WRKSRC}/contrib/* ${STAGEDIR}${PREFIX}/share/git-core/contrib
 	cd ${WRKSRC}/contrib/subtree && ${SETENV} ${MAKE_ENV} \
-		${GMAKE} ${MAKE_FLAGS} Makefile ${MAKE_ARGS} install install-doc
+		${MAKE_CMD} ${MAKE_FLAGS} Makefile ${MAKE_ARGS} install install-doc
 .endif
 .if ${PORT_OPTIONS:MP4}
-	${INSTALL_SCRIPT} ${WRKSRC}/contrib/p4import/git-p4import ${PREFIX}/bin/
-	${INSTALL_SCRIPT} ${WRKSRC}/git-p4.py ${PREFIX}/bin/
-.endif
-.if ${PORT_OPTIONS:METCSHELLS}
-	@${ECHO_MSG} "===> Updating ${SHELLS}"
-	@${CP} ${SHELLS} ${SHELLS}.bak
-	@(${GREP} -v ${PREFIX}/libexec/git-core/git-shell ${SHELLS}.bak; \
-	  ${ECHO_CMD} ${PREFIX}/libexec/git-core/git-shell) > ${SHELLS}
-	@${RM} ${SHELLS}.bak
-.endif
-.if ${PORT_OPTIONS:MGITWEB} || ${PORT_OPTIONS:MCONTRIB}
-	@${CAT} ${PKGMESSAGE}
+	${INSTALL_SCRIPT} ${WRKSRC}/git-p4.py ${STAGEDIR}${PREFIX}/bin/
 .endif
 
 .include <bsd.port.mk>

Modified: head/devel/git/distinfo
==============================================================================
--- head/devel/git/distinfo	Thu Mar  6 18:18:15 2014	(r347293)
+++ head/devel/git/distinfo	Thu Mar  6 18:20:53 2014	(r347294)
@@ -1,6 +1,6 @@
-SHA256 (git-1.8.5.4.tar.gz) = 93ce88ae2fabfa72188145a23d89771bafed7556bf0adde7a6cd410789245f18
-SIZE (git-1.8.5.4.tar.gz) = 4760610
-SHA256 (git-manpages-1.8.5.4.tar.gz) = a29b07ae8375540023654e0dccaace9b0840bf0c82cb12bb64f231cec987041a
-SIZE (git-manpages-1.8.5.4.tar.gz) = 568942
-SHA256 (git-htmldocs-1.8.5.4.tar.gz) = b63f2af9a86d05fbc409a26fc144e8bda2af5e42d9df70b4b25e4a34ec0b5acb
-SIZE (git-htmldocs-1.8.5.4.tar.gz) = 2227268
+SHA256 (git-1.9.0.tar.gz) = de3097fdc36d624ea6cf4bb853402fde781acdb860f12152c5eb879777389882
+SIZE (git-1.9.0.tar.gz) = 4839724
+SHA256 (git-manpages-1.9.0.tar.gz) = a51e2b64a8adde39e774f052843e0f513b5d3318492b515e752e339b0d3a85c7
+SIZE (git-manpages-1.9.0.tar.gz) = 571616
+SHA256 (git-htmldocs-1.9.0.tar.gz) = e4e619b7dd5b24ab4ef17e598803497704aa5b0a7821bb544940f2cdd7cac60e
+SIZE (git-htmldocs-1.9.0.tar.gz) = 2240600

Modified: head/devel/git/files/patch-Documentation__Makefile
==============================================================================
--- head/devel/git/files/patch-Documentation__Makefile	Thu Mar  6 18:18:15 2014	(r347293)
+++ head/devel/git/files/patch-Documentation__Makefile	Thu Mar  6 18:20:53 2014	(r347294)
@@ -1,6 +1,6 @@
 --- ./Documentation/Makefile.orig	2013-08-27 12:08:25.000000000 -0400
 +++ ./Documentation/Makefile	2013-08-27 12:09:18.000000000 -0400
-@@ -78,11 +78,11 @@
+@@ -83,11 +83,11 @@
  DOC_MAN5 = $(patsubst %.txt,%.5,$(MAN5_TXT))
  DOC_MAN7 = $(patsubst %.txt,%.7,$(MAN7_TXT))
  
@@ -15,7 +15,7 @@
  mandir ?= $(prefix)/share/man
  man1dir = $(mandir)/man1
  man5dir = $(mandir)/man5
-@@ -196,7 +196,7 @@
+@@ -202,7 +202,7 @@
  endif
  endif
  

Modified: head/devel/git/files/patch-Makefile
==============================================================================
--- head/devel/git/files/patch-Makefile	Thu Mar  6 18:18:15 2014	(r347293)
+++ head/devel/git/files/patch-Makefile	Thu Mar  6 18:20:53 2014	(r347294)
@@ -68,7 +68,7 @@
  
  export TCL_PATH TCLTK_PATH
  
-@@ -1136,9 +1136,9 @@
+@@ -1154,9 +1154,9 @@
  
  ifndef NO_OPENSSL
  	OPENSSL_LIBSSL = -lssl

Modified: head/devel/git/pkg-plist
==============================================================================
--- head/devel/git/pkg-plist	Thu Mar  6 18:18:15 2014	(r347293)
+++ head/devel/git/pkg-plist	Thu Mar  6 18:20:53 2014	(r347294)
@@ -1,11 +1,185 @@
 bin/git
 %%P4%%bin/git-p4.py
-%%P4%%bin/git-p4import
 bin/git-upload-pack
 bin/git-receive-pack
 bin/git-upload-archive
 %%CVS%%bin/git-cvsserver
 bin/git-shell
+man/man1/git.1.gz
+man/man1/git-add.1.gz
+man/man1/git-am.1.gz
+man/man1/git-annotate.1.gz
+man/man1/git-apply.1.gz
+man/man1/git-archimport.1.gz
+man/man1/git-archive.1.gz
+man/man1/git-bisect.1.gz
+man/man1/git-blame.1.gz
+man/man1/git-branch.1.gz
+man/man1/git-bundle.1.gz
+man/man1/git-cat-file.1.gz
+man/man1/git-check-attr.1.gz
+man/man1/git-check-ignore.1.gz
+man/man1/git-check-mailmap.1.gz
+man/man1/git-check-ref-format.1.gz
+man/man1/git-checkout-index.1.gz
+man/man1/git-checkout.1.gz
+man/man1/git-cherry-pick.1.gz
+man/man1/git-cherry.1.gz
+%%GUI%%man/man1/git-citool.1.gz
+man/man1/git-clean.1.gz
+man/man1/git-clone.1.gz
+man/man1/git-column.1.gz
+man/man1/git-commit-tree.1.gz
+man/man1/git-commit.1.gz
+man/man1/git-config.1.gz
+man/man1/git-count-objects.1.gz
+man/man1/git-credential.1.gz
+man/man1/git-credential-cache--daemon.1.gz
+man/man1/git-credential-cache.1.gz
+man/man1/git-credential-store.1.gz
+%%CVS%%man/man1/git-cvsexportcommit.1.gz
+%%CVS%%man/man1/git-cvsimport.1.gz
+%%CVS%%man/man1/git-cvsserver.1.gz
+man/man1/git-daemon.1.gz
+man/man1/git-describe.1.gz
+man/man1/git-diff-files.1.gz
+man/man1/git-diff-index.1.gz
+man/man1/git-difftool.1.gz
+man/man1/git-diff-tree.1.gz
+man/man1/git-diff.1.gz
+man/man1/git-fast-export.1.gz
+man/man1/git-fast-import.1.gz
+man/man1/git-fetch-pack.1.gz
+man/man1/git-fetch.1.gz
+man/man1/git-filter-branch.1.gz
+man/man1/git-fmt-merge-msg.1.gz
+man/man1/git-for-each-ref.1.gz
+man/man1/git-format-patch.1.gz
+man/man1/git-fsck-objects.1.gz
+man/man1/git-fsck.1.gz
+man/man1/git-gc.1.gz
+man/man1/git-get-tar-commit-id.1.gz
+man/man1/git-grep.1.gz
+%%GUI%%man/man1/git-gui.1.gz
+man/man1/git-hash-object.1.gz
+man/man1/git-help.1.gz
+man/man1/git-http-backend.1.gz
+man/man1/git-http-fetch.1.gz
+man/man1/git-http-push.1.gz
+man/man1/git-imap-send.1.gz
+man/man1/git-index-pack.1.gz
+man/man1/git-init-db.1.gz
+man/man1/git-init.1.gz
+man/man1/git-instaweb.1.gz
+man/man1/git-log.1.gz
+man/man1/git-ls-files.1.gz
+man/man1/git-ls-remote.1.gz
+man/man1/git-ls-tree.1.gz
+man/man1/git-mailinfo.1.gz
+man/man1/git-mailsplit.1.gz
+man/man1/git-merge-base.1.gz
+man/man1/git-merge-file.1.gz
+man/man1/git-merge-index.1.gz
+man/man1/git-merge-one-file.1.gz
+man/man1/git-mergetool.1.gz
+man/man1/git-merge-tree.1.gz
+man/man1/git-merge.1.gz
+man/man1/git-mergetool--lib.1.gz
+man/man1/git-mktag.1.gz
+man/man1/git-mktree.1.gz
+man/man1/git-mv.1.gz
+man/man1/git-name-rev.1.gz
+man/man1/git-notes.1.gz
+man/man1/git-p4.1.gz
+man/man1/git-pack-objects.1.gz
+man/man1/git-pack-redundant.1.gz
+man/man1/git-pack-refs.1.gz
+man/man1/git-parse-remote.1.gz
+man/man1/git-patch-id.1.gz
+man/man1/git-prune-packed.1.gz
+man/man1/git-prune.1.gz
+man/man1/git-pull.1.gz
+man/man1/git-push.1.gz
+man/man1/git-quiltimport.1.gz
+man/man1/git-read-tree.1.gz
+man/man1/git-rebase.1.gz
+man/man1/git-receive-pack.1.gz
+man/man1/git-reflog.1.gz
+man/man1/git-relink.1.gz
+man/man1/git-remote-ext.1.gz
+man/man1/git-remote-fd.1.gz
+man/man1/git-remote-testgit.1.gz
+man/man1/git-remote.1.gz
+man/man1/git-repack.1.gz
+man/man1/git-replace.1.gz
+man/man1/git-request-pull.1.gz
+man/man1/git-rerere.1.gz
+man/man1/git-reset.1.gz
+man/man1/git-rev-list.1.gz
+man/man1/git-rev-parse.1.gz
+man/man1/git-revert.1.gz
+man/man1/git-rm.1.gz
+man/man1/git-send-email.1.gz
+man/man1/git-send-pack.1.gz
+man/man1/git-sh-setup.1.gz
+man/man1/git-sh-i18n.1.gz
+man/man1/git-sh-i18n--envsubst.1.gz
+man/man1/git-shell.1.gz
+man/man1/git-shortlog.1.gz
+man/man1/git-show-branch.1.gz
+man/man1/git-show-index.1.gz
+man/man1/git-show-ref.1.gz
+man/man1/git-show.1.gz
+man/man1/git-stage.1.gz
+man/man1/git-stash.1.gz
+man/man1/git-status.1.gz
+man/man1/git-stripspace.1.gz
+man/man1/git-submodule.1.gz
+%%CONTRIB%%man/man1/git-subtree.1.gz
+%%SVN%%man/man1/git-svn.1.gz
+man/man1/git-symbolic-ref.1.gz
+man/man1/git-tag.1.gz
+man/man1/git-unpack-file.1.gz
+man/man1/git-unpack-objects.1.gz
+man/man1/git-update-index.1.gz
+man/man1/git-update-ref.1.gz
+man/man1/git-update-server-info.1.gz
+man/man1/git-upload-archive.1.gz
+man/man1/git-upload-pack.1.gz
+man/man1/git-var.1.gz
+man/man1/git-verify-pack.1.gz
+man/man1/git-verify-tag.1.gz
+man/man1/git-web--browse.1.gz
+man/man1/git-whatchanged.1.gz
+man/man1/git-write-tree.1.gz
+%%GUI%%man/man1/gitk.1.gz
+man/man1/gitremote-helpers.1.gz
+man/man1/gitweb.1.gz
+%%PERLSUB%%man/man3/Git.3.gz
+%%PERLSUB%%man/man3/Git::I18N.3.gz
+%%PERLSUB%%man/man3/Git::SVN::Editor.3.gz
+%%PERLSUB%%man/man3/Git::SVN::Fetcher.3.gz
+%%PERLSUB%%man/man3/Git::SVN::Memoize::YAML.3.gz
+%%PERLSUB%%man/man3/Git::SVN::Prompt.3.gz
+%%PERLSUB%%man/man3/Git::SVN::Ra.3.gz
+%%PERLSUB%%man/man3/Git::SVN::Utils.3.gz
+man/man5/gitattributes.5.gz
+man/man5/githooks.5.gz
+man/man5/gitignore.5.gz
+man/man5/gitmodules.5.gz
+man/man5/gitrepository-layout.5.gz
+man/man5/gitweb.conf.5.gz
+man/man7/gitcli.7.gz
+man/man7/gitcredentials.7.gz
+%%CVS%%man/man7/gitcvs-migration.7.gz
+man/man7/gitglossary.7.gz
+man/man7/gittutorial.7.gz
+man/man7/gitcore-tutorial.7.gz
+man/man7/gitdiffcore.7.gz
+man/man7/gittutorial-2.7.gz
+man/man7/gitworkflows.7.gz
+man/man7/gitrevisions.7.gz
+man/man7/gitnamespaces.7.gz
 libexec/git-core/git
 libexec/git-core/git-add
 libexec/git-core/git-add--interactive
@@ -77,7 +251,6 @@ libexec/git-core/git-init
 libexec/git-core/git-init-db
 libexec/git-core/git-instaweb
 libexec/git-core/git-log
-libexec/git-core/git-lost-found
 libexec/git-core/git-ls-files
 libexec/git-core/git-ls-remote
 libexec/git-core/git-ls-tree
@@ -107,7 +280,6 @@ libexec/git-core/git-pack-redundant
 libexec/git-core/git-pack-refs
 libexec/git-core/git-parse-remote
 libexec/git-core/git-patch-id
-libexec/git-core/git-peek-remote
 libexec/git-core/git-prune
 libexec/git-core/git-prune-packed
 libexec/git-core/git-pull
@@ -130,7 +302,6 @@ libexec/git-core/git-remote-testsvn
 %%CURL%%libexec/git-core/git-remote-ftp
 %%CURL%%libexec/git-core/git-remote-ftps
 libexec/git-core/git-repack
-libexec/git-core/git-repo-config
 libexec/git-core/git-replace
 libexec/git-core/git-request-pull
 libexec/git-core/git-rerere
@@ -161,7 +332,6 @@ libexec/git-core/git-submodule
 %%SVN%%libexec/git-core/git-svn
 libexec/git-core/git-symbolic-ref
 libexec/git-core/git-tag
-libexec/git-core/git-tar-tree
 libexec/git-core/git-unpack-file
 libexec/git-core/git-unpack-objects
 libexec/git-core/git-update-index
@@ -212,12 +382,11 @@ libexec/git-core/mergetools/araxis
 %%PERLSUB%%%%SITE_PERL%%/Git/SVN/Fetcher.pm
 lib/xemacs/site-lisp/git/git.el
 lib/xemacs/site-lisp/git/git-blame.el
-%%NLS%%share/locale/da/LC_MESSAGES/git.mo
+%%NLS%%share/locale/bg/LC_MESSAGES/git.mo
 %%NLS%%share/locale/de/LC_MESSAGES/git.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/git.mo
 %%NLS%%share/locale/is/LC_MESSAGES/git.mo
 %%NLS%%share/locale/it/LC_MESSAGES/git.mo
-%%NLS%%share/locale/nl/LC_MESSAGES/git.mo
 %%NLS%%share/locale/pt_PT/LC_MESSAGES/git.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/git.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/git.mo
@@ -277,6 +446,7 @@ share/git-core/templates/info/exclude
 %%GUI%%share/git-gui/lib/transport.tcl
 %%GUI%%share/git-gui/lib/win32.tcl
 %%GUI%%share/git-gui/lib/win32_shortcut.js
+%%GUI%%share/git-gui/lib/msgs/bg.msg
 %%GUI%%share/git-gui/lib/msgs/de.msg
 %%GUI%%share/git-gui/lib/msgs/el.msg
 %%GUI%%share/git-gui/lib/msgs/fr.msg
@@ -288,6 +458,7 @@ share/git-core/templates/info/exclude
 %%GUI%%share/git-gui/lib/msgs/ru.msg
 %%GUI%%share/git-gui/lib/msgs/sv.msg
 %%GUI%%share/git-gui/lib/msgs/zh_cn.msg
+%%GUI%%share/gitk/lib/msgs/bg.msg
 %%GUI%%share/gitk/lib/msgs/es.msg
 %%GUI%%share/gitk/lib/msgs/de.msg
 %%GUI%%share/gitk/lib/msgs/fr.msg
@@ -361,7 +532,6 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/git-init.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-instaweb.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-log.html
-%%HTMLDOCS%%%%DOCSDIR%%/git-lost-found.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-ls-files.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-ls-remote.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-ls-tree.html
@@ -386,7 +556,6 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/git-pack-refs.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-parse-remote.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-patch-id.html
-%%HTMLDOCS%%%%DOCSDIR%%/git-peek-remote.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-prune-packed.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-prune.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-pull.html
@@ -410,7 +579,6 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/git-repack.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-replace.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-replace.txt
-%%HTMLDOCS%%%%DOCSDIR%%/git-repo-config.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-request-pull.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-rerere.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-reset.html
@@ -437,7 +605,6 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/git-svn.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-symbolic-ref.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-tag.html
-%%HTMLDOCS%%%%DOCSDIR%%/git-tar-tree.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-unpack-file.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-unpack-objects.html
 %%HTMLDOCS%%%%DOCSDIR%%/git-var.html
@@ -483,7 +650,6 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/mailmap.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-citool.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-hash-object.txt
-%%HTMLDOCS%%%%DOCSDIR%%/git-lost-found.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-commit-tree.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-count-objects.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-quiltimport.txt
@@ -578,6 +744,7 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/gitworkflows.txt
 %%HTMLDOCS%%%%DOCSDIR%%/diff-config.txt
 %%HTMLDOCS%%%%DOCSDIR%%/technical/http-protocol.txt
+%%HTMLDOCS%%%%DOCSDIR%%/technical/http-protocol.html
 %%HTMLDOCS%%%%DOCSDIR%%/technical/api-credentials.html
 %%HTMLDOCS%%%%DOCSDIR%%/technical/api-credentials.txt
 %%HTMLDOCS%%%%DOCSDIR%%/technical/api-argv-array.html
@@ -698,7 +865,6 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/diff-format.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-pack-objects.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-add.txt
-%%HTMLDOCS%%%%DOCSDIR%%/git-repo-config.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-diff-files.txt
 %%HTMLDOCS%%%%DOCSDIR%%/pretty-options.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-show.txt
@@ -726,7 +892,6 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/git-init.txt
 %%HTMLDOCS%%%%DOCSDIR%%/gitk.txt
 %%HTMLDOCS%%%%DOCSDIR%%/gitrepository-layout.txt
-%%HTMLDOCS%%%%DOCSDIR%%/git-tar-tree.txt
 %%HTMLDOCS%%%%DOCSDIR%%/gitglossary.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-relink.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-update-ref.txt
@@ -772,7 +937,6 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/gitmodules.txt
 %%HTMLDOCS%%%%DOCSDIR%%/pull-fetch-param.txt
 %%HTMLDOCS%%%%DOCSDIR%%/urls.txt
-%%HTMLDOCS%%%%DOCSDIR%%/git-peek-remote.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-bisect.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-tools.txt
 %%HTMLDOCS%%%%DOCSDIR%%/git-show-ref.txt
@@ -1007,6 +1171,8 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.8.5.2.txt
 %%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.8.5.3.txt
 %%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.8.5.4.txt
+%%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.8.5.5.txt
+%%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.9.0.txt
 %%GITWEB%%%%EXAMPLESDIR%%/gitweb/gitweb.cgi
 %%GITWEB%%%%EXAMPLESDIR%%/gitweb/static/gitweb.js
 %%GITWEB%%%%EXAMPLESDIR%%/gitweb/static/gitweb.css
@@ -1123,10 +1289,6 @@ share/git-core/templates/info/exclude
 %%CONTRIB%%share/git-core/contrib/mw-to-git/t/test-gitmw.pl
 %%CONTRIB%%share/git-core/contrib/mw-to-git/t/.gitignore
 %%CONTRIB%%share/git-core/contrib/mw-to-git/t/test.config
-%%CONTRIB%%share/git-core/contrib/p4import/README
-%%CONTRIB%%share/git-core/contrib/p4import/git-p4import.py
-%%CONTRIB%%share/git-core/contrib/p4import/git-p4import.txt
-%%CONTRIB%%share/git-core/contrib/p4import/git-p4import
 %%CONTRIB%%share/git-core/contrib/remotes2config.sh
 %%CONTRIB%%share/git-core/contrib/rerere-train.sh
 %%CONTRIB%%share/git-core/contrib/persistent-https/client.go
@@ -1218,7 +1380,6 @@ share/git-core/templates/info/exclude
 %%CONTRIB%%@dirrm share/git-core/contrib/mw-to-git/t/install-wiki
 %%CONTRIB%%@dirrm share/git-core/contrib/mw-to-git/t/
 %%CONTRIB%%@dirrm share/git-core/contrib/mw-to-git/
-%%CONTRIB%%@dirrm share/git-core/contrib/p4import
 %%CONTRIB%%@dirrm share/git-core/contrib/persistent-https
 %%CONTRIB%%@dirrm share/git-core/contrib/remote-helpers
 %%CONTRIB%%@dirrm share/git-core/contrib/subtree/t
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Wesley Shields freebsd_committer 2014-03-06 18:21:31 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!